:root {
    --box-side-gradient: linear-gradient(to bottom, rgba(255,255,255,0.3), rgba(0,0,0,0.3));
    --box-top-gradient: linear-gradient(to bottom, rgba(255,255,255,0.3), rgba(255,255,255,0.3));
    --box-bottom-gradient: linear-gradient(to bottom, rgba(0,0,0,0.3), rgba(0,0,0,0.3));

    --mask-floor:radial-gradient(circle, rgba(0, 0, 0, 1) 350px, rgba(0, 0, 0, 0) 400px);
}

body {
    margin: 0;
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100vh;
    background-color: #f0f0f0;
}

.scene {
    width: 200px;
    height: 200px;
    perspective: 600px;
    position: relative;
}

.box {
    width: 100%;
    height: 100%;
    transform-style: preserve-3d;
    transform: rotateX(-30deg) rotateY(30deg);
    position: relative;
    animation: rotate 10s infinite linear;
}

@keyframes rotate {
    0% {
    transform: rotateX(5deg) rotateY(0deg);
    }
    50% {
    transform: rotateX(-20deg) rotateY(180deg);
    }
    100% {
    transform: rotateX(5deg) rotateY(360deg);
    }
}

.face {
    position: absolute;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 128, 255, 1);
    border: 2px solid #fff;
}

.front {
    transform: translateZ(100px);
    background-image: var(--box-side-gradient);
}

.back {
    transform: rotateY(180deg) translateZ(100px);
    background-image: var(--box-side-gradient);
}

.left {
    transform: rotateY(-90deg) translateZ(100px);
    background-image: var(--box-side-gradient);
}

.right {
    transform: rotateY(90deg) translateZ(100px);
    background-image: var(--box-side-gradient);
}

.top {
    transform: rotateX(90deg) translateZ(100px);
    background-image: var(--box-top-gradient);
}

.bottom {
    transform: rotateX(-90deg) translateZ(100px);
    background-image: var(--box-bottom-gradient);
}

.shadow {
    transform: rotateX(90deg) translateZ(-200px);
    background-color: rgba(0, 0, 0, 0.2);
    box-shadow: 0 0 10px 10px rgba(0, 0, 0, 0.2);
    border:none;
}

.floor {
    position: absolute;
    left: -300px;
    width: 800px;
    height: 800px;
    background-image: url(img/ConcreteFloors0078_1_350.jpg);
    background-size: cover;
    mask-image: var(--mask-floor);
    -webkit-mask-image:  var(--mask-floor);
    transform: rotateX(90deg) translateZ(100px);
}